PVSCAN(8)

NAME
pvscan - scan all disks for physical volumes

SYNOPSIS
pvscan [-d|--debug] [-h|--help] [-v|--verbose] [--version] [--ignorelockingfailure] [-e|--exported] [-n|--novolumegroup] [-s|--short] [-u|--uuid]

pvscan [-d|--debug] [-h|--help] --cache [-a|--activate ay] [--major major --minor minor | DevicePath]...

DESCRIPTION
pvscan scans all supported LVM block devices in the system for physical volumes.

OPTIONS
See lvm(8) for common options.

-e, --exported
    Only show physical volumes belonging to exported volume groups.

-n, --novolumegroup
    Only show physical volumes not belonging to any volume group.

-s, --short
    Short listing format.

-u, --uuid
    Show UUIDs (Uniform Unique Identifiers) in addition to device special names.

-a, --activate ay
    Together with the information already cached in lvmetad, automatically activate any logical volumes that become activatable after the scan done on one or more devices. The logical volume to autoactivate is matched against the activation/auto_activation_volume_list set in lvm.conf. Autoactivation is not yet supported on logical volumes that are part of partial or clustered volume groups.

--cache [--major major --minor minor | DevicePath ]...
    Scan one or more devices and instruct the lvmetad daemon to update its cached state accordingly. Called internally by udev rules. All devices listed explicitly are processed regardless of any device filters set in lvm.conf.

SEE ALSO
lvm(8), pvcreate(8), pvdisplay(8)